Subject: Re: [MMUSIC] ICE-12: conditions for verifying ICE support

From: Jonathan Rosenberg <[email-masked]>
Date: Wed, 01 Nov 2006 10:17:37 -0500

inline.

Jean-Francois Mule wrote:
> This is mostly a question for clarification on what conditions define
> ICE is supported on the receiving side. I understand this text may be
> affected by the pending consensus on the scope of ICE and resolution
> w.r.t. the SBCs and hotel ALGs.
> 
> In section 6.1, page 22 of ice-12, it says:
> |6.1.  Verifying ICE Support
> |
> | The answerer will proceed with the ICE procedures defined in this
> | specification if the following are true:
> |
> # condition 1
> | o  There is at least one a=candidate attribute for each media stream
> |    in the offer it just received.
> |
> # condition 2
> | o  For each media stream, at least one of the candidates is a match
> |    for its respective in-use component in the m/c-line.
> 
> Doesn't the second condition suffice? 
> In other words, is there a case where condition#2 is met but #1 is not?
> Are these conditions equivalent to:
> "For each media description, at least one candidate must be an in-use
> candidate as defined in section 5.3."

Yes, you are correct.

> I'm not sure your usage of "component" here means media stream component
> (RTP component ID 1, etc.) or whether it points to an element of a
> candidate (IP add, port, ...).

The former (RTP component ID 1 or 2).

> 
> Also, it may help to clarify the use of "m/c-line" and may be expand it
> as you may have multiple c lines, one for the session level, one for
> each media description. This applies at several places in the document.
> It may help to clarify the definition of "in-use" in section 5.3 to say
> something like:
> A candidate is defined as an "in-use" candidate in a media description
> if its IP address appears in the associated c line and its port in the
> related m line... 

OK, will clarify. Thanks.

-Jonathan R.

-- 
Jonathan D. Rosenberg, Ph.D.                   600 Lanidex Plaza
Cisco Fellow                                   Parsippany, NJ 07054-2711
Cisco Systems
[email-masked]                              FAX:   (973) 952-5050
http://www.jdrosen.net                         PHONE: (973) 952-5000
http://www.cisco.com

_______________________________________________
mmusic mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mmusic